// back

HP Network Node Manager ovlaunch CGI BSS Overflow Vulnerability

06.02.09

BACKGROUND

HP Network Node Manager (NNM) is an application suite that is used to map out and manage network topography. NNM runs on a variety of platforms, including Linux and multiple versions of Windows. For more information, see the vendor's site found at the following link.

http://www.openview.hp.com/products/nnm/index.html

DESCRIPTION

Remote exploitation of a BSS based buffer overflow vulnerability in Hewlett-Packard Development Co. LP (HP)'s Network Node Manager could allow an attacker to execute arbitrary code with the privileges of the affected service.

The vulnerability exists within the 'ovlaunch' CGI application, which is used to launch the remote user interface. By sending a specially crafted request, it is possible to trigger a buffer overflow. The vulnerability results from an unchecked function call. The buffer that is overflowed makes it possible to overwrite various pointers that are located after the buffer in memory.

ANALYSIS

Exploitation of this vulnerability results in the execution of arbitrary code with the privileges of the affected service. IIS runs CGI applications with reduced privileges, so a full system compromise is not possible using only this vulnerability.

In iDefense Labs testing, it was possible to overwrite various pointers stored after the overflowed buffer. Given this, code execution is likely to be possible.

DETECTION

iDefense has confirmed the existence of this vulnerability in Network Node Manager version 7.53 for Windows. Previous versions may also be affected.

The Linux version of 'ovlaunch' contains the vulnerable code, but it is not triggered. The actual hostname is used instead of the attacker supplied 'Host' parameter.

WORKAROUND

Requiring authentication by modifying the session.conf file is not a valid workaround for this vulnerability. The vulnerability occurs during the parsing of requests, before any authentication checks.

However, it is possible to use the IIS configuration manager to require authentication in order to execute the ovlaunch CGI. Additionally, the IIS configuration manager can be used to limit connections by IP address.

VENDOR RESPONSE

Hewlett-Packard Development Co. LP (HP) has released a patch which addresses this issue. For more information, consult their advisory at the following URL.

http://h20000.www2.hp.com/bizsupport/TechSupport/Document.jsp?objectID=c01661610

CVE INFORMATION

The Common Vulnerabilities and Exposures (CVE) project has assigned the name CVE-2008-4562 to this issue. This is a candidate for inclusion in the CVE list (http://cve.mitre.org/), which standardizes names for security problems.

DISCLOSURE TIMELINE

06/19/2008 Initial Contact
06/19/2008 Vendor Case # SSRT080092 set
07/10/2008 PoC sent
01/22/2009 Vendor says patch is ready
02/05/2009 Requested CVE
02/05/2009 Requested date coordination
02/06/2009 Coordinated Public Disclosure

CREDIT

The discoverer of this vulnerability wishes to remain anonymous.

Get paid for vulnerability research
http://labs.idefense.com/methodology/vulnerability/vcp.php

Free tools, research and upcoming events
http://labs.idefense.com/

LEGAL NOTICES

Copyright © 2009 Verisign, Inc.

Permission is granted for the redistribution of this alert electronically. It may not be edited in any way without the express written consent of iDefense. If you wish to reprint the whole or any part of this alert in any other medium other than electronically, please e-mail customer service for permission.

Disclaimer: The information in the advisory is believed to be accurate at the time of publishing based on currently available information. Use of the information constitutes acceptance for use in an AS IS condition. There are no warranties with regard to this information. Neither the author nor the publisher accepts any liability for any direct, indirect, or consequential loss or damage arising from use of, or reliance on, this information.